Foreman - Bug #10535

Tokens are created for managed hosts after validation
05/18/2015 10:27 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Host creation
Target version: 1.8.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2390
Description

set_token is called fr managed host after validations and not after save.

This can't be moved to after_save since the token is needed before save for templates.

The result is a token can be created for a host that eventually isn't saved as a managed host.

| only reproduced this with discovery: http://projects.theforeman.org/issues/9597

when provisioning a discovered host, trying to save causes validations and then a token was created.
As a result after canceling there was a token connected to a discovered host.

Related issues:

Related to Discovery - Bug #9597: FK violation when trying to delete a discowv... Closed 03/01/2015
Related to Foreman - Bug #10558: Remove and prevent duplicate tokens via DB m... Closed 05/20/2015
Has duplicate Foreman - Bug #10645: ERROR: update or delete on table "hosts" ... Duplicate 05/28/2015

Associated revisions

Revision c2ff4bd6 - 05/19/2015 11:40 AM - Ori Rabin

Fixes #10535 - building a token instead of creating it until host is saved

Revision 2ac1bed9 - 06/15/2015 09:22 AM - Ori Rabin

Fixes #10535 - building a token instead of creating it until host is saved

(cherry picked from commit c2ff4bd6874155459a51af070abb381fd59be262)

History

#1 - 05/19/2015 12:02 PM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c2ff4bd6874155459a51af070abb381fd59be262.

#2 - 05/19/2015 12:05 PM - Lukas Zapletal

If this bug is planned to be backported into 1.8, we need to make sure that Discovery migration is copied over into Foreman core. See the PR
discussion for more info.

#3 - 05/20/2015 02:15 AM - Dominic Cleal
- Category set to Host creation

- translation missing: en.field_release set to 35

#4 - 05/20/2015 02:16 AM - Dominic Cleal
- Related to Bug #9597 FK violation when trying to delete a discovered host after provision added

#5 - 05/20/2015 02:22 AM - Dominic Cleal
http://projects.theforeman.org/issues/9597
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c2ff4bd6874155459a51af070abb381fd59be262

Lukas Zapletal wrote:

If this bug is planned to be backported into 1.8, we need to make sure that Discovery migration is copied over into Foreman core. See the PR
discussion for more info.

It needs moving or copying either way, #10558.

#6 - 05/20/2015 02:22 AM - Dominic Cleal
- Related to Bug #10558: Remove and prevent duplicate tokens via DB migration added

#7 - 05/29/2015 03:24 AM - Dominic Cleal

- translation missing: en.field_release changed from 35 to 56
#8 - 05/29/2015 03:24 AM - Dominic Cleal

- Has duplicate Bug #10645: ERROR: update or delete on table "hosts" violates foreign key constraint "tokens_host _id_fk" on table "tokens" DETAIL:
Key (id)=(2) is still referenced from table "tokens". added
